Bug 5804 - duplicate warning when ordering needs design work
Summary: duplicate warning when ordering needs design work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-23 13:54 UTC by Nicole C. Engard
Modified: 2012-10-25 23:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of suggested revision (9.79 KB, image/png)
2011-02-24 15:55 UTC, Owen Leonard
Details
Proposed fix (5.42 KB, patch)
2011-02-24 19:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Follow-up fix (1.21 KB, patch)
2011-02-28 13:52 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-02-23 13:54:09 UTC
The patch for Bug 5782 added a duplicate check when ordering from an external source.  The new template file could use some cleaning up and maybe some text clean up or streamlined display.  I don't have any specific suggestions at this time, I just wanted to get the report out there.
Comment 1 Owen Leonard 2011-02-24 15:55:10 UTC
Created attachment 3207 [details]
Screenshot of suggested revision
Comment 2 Nicole C. Engard 2011-02-24 18:16:11 UTC
Owen, you never cease to amaze me! I love it!
Comment 3 Owen Leonard 2011-02-24 19:38:36 UTC
Created attachment 3210 [details] [review]
Proposed fix
Comment 4 Chris Cormack 2011-02-27 21:45:10 UTC
Pushed please test
Comment 5 Marcel de Rooy 2011-02-28 08:13:34 UTC
Good work!
Two very small points that could be improved:

1) Typo: Crete new record -> Create new record
2) The third box doesn't align with the other two in my browser, since the line Return to the basket.. is shorter. I would prefer to see all three the same size with the command buttons at the same height.
Comment 6 Nicole C. Engard 2011-02-28 12:42:44 UTC
Oopsie! missed that typo. As for the boxes, what browser/operating system combo are you on? My boxes lined up in FF on Mac.
Comment 7 Owen Leonard 2011-02-28 13:52:40 UTC
Created attachment 3225 [details] [review]
Follow-up fix
Comment 8 Owen Leonard 2011-02-28 13:54:38 UTC
With regard to the differently-sized boxes: These are independently-rendered <div>s, so without making the letter count of each box the same there will be differences. The alternative would be using jQuery to make them the same size, which I think is overkill for a minor size difference.
Comment 9 MJ Ray (software.coop) 2011-03-04 10:26:46 UTC
This bug is mentioned in:
Fix for Bug 5804 - duplicate	warning when ordering needs design work http://lists.koha-community.org/pipermail/koha-patches/2011-February/013926.html
Fix for Bug 5804 - duplicate warning when	ordering needs design work http://lists.koha-community.org/pipermail/koha-patches/2011-February/013924.html
Follow-up fix for Bug 5804,	acqui duplicate warning http://lists.koha-community.org/pipermail/koha-patches/2011-February/013946.html
Follow-up fix for Bug 5804, acqui duplicate warning http://lists.koha-community.org/pipermail/koha-patches/2011-February/013947.html
Comment 10 Chris Cormack 2011-03-05 19:39:10 UTC
Follow up patch needs signoff
Comment 11 Nicole C. Engard 2011-03-06 14:16:55 UTC
Does it? I tried to apply and test and it says it's already applied:


Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Follow-up fix for Bug 5804, acqui duplicate warning
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
No changes -- Patch already applied.
nengard@debian:~/kohaclone$
Comment 12 Marcel de Rooy 2011-03-07 07:31:03 UTC
Has been pushed already. Tested and closed.